Skip to main content
GET
/
api
/
workspaces
List all workspaces for the authenticated user.
curl --request GET \
  --url https://api.rigbox.dev/api/workspaces \
  --header 'Authorization: Bearer <token>'
{
  "vms": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "disk_size_mb": 1,
      "id": "<string>",
      "image": "<string>",
      "name": "<string>",
      "node_id": "<string>",
      "ram_mb": 1,
      "status": "provisioned",
      "updated_at": "2023-11-07T05:31:56Z",
      "user_id": "<string>",
      "vcpu_count": 1,
      "env_vars": {},
      "ip_address": "<string>",
      "service_spec_ids": [
        "<string>"
      ],
      "setup_script_ids": [
        "<string>"
      ],
      "template_id": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

List of user workspaces

vms
object[]
required